## event_available

### Verwendung

Mit Hilfe dieses DBM-Kommandos lassen Sie sich anzeigen, ob Events ausgelöst wurden und mittels event_receive oder event_wait abgeholt werden können.

Bei der ersten Ausführung eines der DBM-Kommandos event_wait, event_receive oder event_available wird eine Event-Sitzung innerhalb der Database Manager-Sitzung erzeugt. Events, die von diesem Zeitpunkt an ausgelöst werden, werden gesammelt und können innerhalb der Event-Sitzung behandelt werden.

Wenn Events ausgelöst wurden, erhalten Sie eine OK-Meldung.

Siehe auch:

Utilities, Event-Dispatcher

### Voraussetzungen

● Sie haben die Serverberechtigung DBInfoRead.

● Der Datenbankparameter _MAXEVENTTASK ist ausreichend groß konfiguriert (Siehe: Konzepte des Datenbanksystems, Support-Datenbankparameter).

### Syntax

event_available

### Antwort

OK

Im Fehlerfall siehe Antwortformat.